# Go API client for swagger

<p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 4.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.go.GoClientCodegen
For more information, please visit [https://www.fax-api.de/support/](https://www.fax-api.de/support/)

## Installation
Put the package under your project folder and add the following in import:
```golang
import "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*JobDetailsApi* | [**GetJob**](docs/JobDetailsApi.md#getjob) | **Get** /jobs/{id} | /jobs/{id}
*JobDetailsApi* | [**GetJobNotifications**](docs/JobDetailsApi.md#getjobnotifications) | **Get** /jobs/{id}/notifications | /jobs/{id}/notifications
*JobDetailsApi* | [**GetJobPreviews**](docs/JobDetailsApi.md#getjobpreviews) | **Get** /jobs/{id}/preview | /jobs/{id}/preview
*JobDetailsApi* | [**GetJobRecipients**](docs/JobDetailsApi.md#getjobrecipients) | **Get** /jobs/{id}/recipients | /jobs/{id}/recipients
*JobDetailsApi* | [**GetJobTemplates**](docs/JobDetailsApi.md#getjobtemplates) | **Get** /jobs/{id}/templates | /jobs/{id}/templates
*JobDetailsApi* | [**PutJob**](docs/JobDetailsApi.md#putjob) | **Put** /jobs/{id} | /jobs/{id}
*JobsApi* | [**GetJobs**](docs/JobsApi.md#getjobs) | **Get** /jobs | /jobs
*JobsApi* | [**PostJob**](docs/JobsApi.md#postjob) | **Post** /jobs | /jobs
*RecipientsApi* | [**GetRecipients**](docs/RecipientsApi.md#getrecipients) | **Get** /recipients | /recipients
*SystemApi* | [**GetHealth**](docs/SystemApi.md#gethealth) | **Get** /health | /health

## Documentation For Models

 - [ErrorAuthenticationResponse](docs/ErrorAuthenticationResponse.md)
 - [ErrorBadRequestResponse](docs/ErrorBadRequestResponse.md)
 - [ErrorInternalServerResponse](docs/ErrorInternalServerResponse.md)
 - [ErrorNotFoundResponse](docs/ErrorNotFoundResponse.md)
 - [ErrorServiceNotAvailableResponse](docs/ErrorServiceNotAvailableResponse.md)
 - [ErrorToManyRequestsResponse](docs/ErrorToManyRequestsResponse.md)
 - [Health](docs/Health.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [Job](docs/Job.md)
 - [JobInfo](docs/JobInfo.md)
 - [JobOptions](docs/JobOptions.md)
 - [JobPost](docs/JobPost.md)
 - [JobPostOptions](docs/JobPostOptions.md)
 - [JobPostRecipient](docs/JobPostRecipient.md)
 - [JobRecipient](docs/JobRecipient.md)
 - [JobRecipients](docs/JobRecipients.md)
 - [JobStatistics](docs/JobStatistics.md)
 - [Jobs](docs/Jobs.md)
 - [JobsIdBody](docs/JobsIdBody.md)
 - [Notification](docs/Notification.md)
 - [Notifications](docs/Notifications.md)
 - [Preview](docs/Preview.md)
 - [Recipient](docs/Recipient.md)
 - [RecipientJob](docs/RecipientJob.md)
 - [Recipients](docs/Recipients.md)
 - [Template](docs/Template.md)
 - [Templates](docs/Templates.md)

## Documentation For Authorization

## ApiAuthKey
- **Type**: API key 

Example
```golang
auth := context.WithValue(context.Background(), sw.ContextAPIKey, sw.APIKey{
	Key: "APIKEY",
	Prefix: "Bearer", // Omit if not necessary.
})
r, err := client.Service.Operation(auth, args)
```

## Author

support@fax-api.de
